<?php
	/*'************************************************\
	 	Copyright (C) 2001, Alexey Ilyin

	 	This library is free software; you can
		redistribute it and/or modify it under the terms
		of the GNU Lesser General Public License as
		published by the Free Software Foundation; either
		version 2.1 of the License, or (at your option)
		any later version.

	 	This library is distributed in the hope that it
		will be useful, but WITHOUT ANY WARRANTY; without
		even the implied warranty of MERCHANTABILITY or
		FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
		Lesser General Public License for more details.

	 	You should have received a copy of the GNU Lesser
		General Public License along with this library; if
		not, write to the Free Software Foundation, Inc.,
		59 Temple Place, Suite 330, Boston, MA 02111-1307
		USA

	 	ai@a4web.com
	 	www.a4web.com
	\**************************************************/

	require_once	"ccontrol.phps";

	/** The cform textarea ccontrol.
	 * 	<xmp>
	 |	new CTextarea(array(
	 |		"label" => ...,
	 |		"attrs" => "rows=5 cols=50"
	 |	))
	 * 	</xmp>
	 * 	@package	PHP/Toolbox::Form
	 */
	class CTextarea extends CControl {
		var $type = "textarea";

		function CTextarea ($attrs) {
			$this->CControl($attrs);
		}

		function render () {
			$value = $this->getValue();
			$this->write("<textarea name='$this->name' $this->attrs>$value</textarea>");
		}
	}
?>