<?php
	/**
	 * Just include it to log miscellaneous vars.
	 * <pre>include_once ("logvars.php");</pre>
	 * @module	logvars.php
	 * @package	PHP/Toolbox::DEBUG
	 *//*'**********************************************\
	 	Copyright (C) 2001, Alexey Ilyin

	 	This library is free software; you can
		redistribute it and/or modify it under the terms
		of the GNU Lesser General Public License as
		published by the Free Software Foundation; either
		version 2.1 of the License, or (at your option)
		any later version.

	 	This library is distributed in the hope that it
		will be useful, but WITHOUT ANY WARRANTY; without
		even the implied warranty of MERCHANTABILITY or
		FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
		Lesser General Public License for more details.

	 	You should have received a copy of the GNU Lesser
		General Public License along with this library; if
		not, write to the Free Software Foundation, Inc.,
		59 Temple Place, Suite 330, Boston, MA 02111-1307
		USA

	 	ai@a4web.com
	 	www.a4web.com
	\**************************************************/

	//////////////////////////////////////////////////
	#/////	adjust it to point to writable dir 	/////#
	if (empty($logfile)) {
		$logfile = $DOCUMENT_ROOT."/upload/logfile.log";
	}
	//////////////////////////////////////////////////
	error_log("===>start:\t".date("l dS of F Y h:i:s A")."\n", 3, $logfile);
	$headers = getallheaders();
	while (list($header, $value) = each($headers)) {
    	error_log("header $header: $value\n", 3, $logfile);
	}
	if (isset($HTTP_POST_VARS)) {
		reset($HTTP_POST_VARS);
    	while(list($header, $value) = each($HTTP_POST_VARS)) {
        	error_log("post $header: $value\n", 3, $logfile);
    	}
	}
  	if (isset($GLOBALS)) {
		reset($GLOBALS);
		while ( is_array($GLOBALS) && list($key, $val) = each($GLOBALS) ) {
			$str = "global var $key";
			if (is_array($val))
				$str .= (" = (".implode(",",$val).")");
			else
				$str .= " = $val";
			error_log("$str\n", 3, $logfile);
		}
	}
	error_log("===>end:\t".date("l dS of F Y h:i:s A")."\n\n", 3, $logfile);
?>