<?php
	/**
	 * Use it to extract default values from $DEFAULTS array.
	 * For example:
	 * <xmp>
	 |	$v1 = "already assigned";
	 |	$DEFAULTS["v1"] = "not to be used";
	 |	$DEFAULTS["v2"] = "default";
	 |	include "set_defaults.phps";
	 |	echo "v1=$v1, v2=$v2";  // yields "v1=already assigned, v2=default"
	 * </xmp>
	 * @package	PHP/Toolbox
	 * @module	set_defaults.phps
	 */
	extract ($DEFAULTS, EXTR_SKIP);
?>