<?php
	/*'************************************************\
		PHP/Toolbox::TestSuite
		Test CForm
	\**************************************************/

	require_once "cform.phps";
	require_once "cformhandlersimple.phps";
	require_once "ccontrol.phps";
	require_once "cgroup.phps";
	require_once "cbutton.phps";

	$form = new CForm("Simple", array(
		"user"	=> new CControl(array(
			"label"	=> "Name",
			"ValidateAsNotEmpty" => "User name should not be empty"
		)),
		"email"	=> new CControl(array(
			"label"	=> "E-mail",
			"ValidateAsNotEmpty" => "Please, specify e-mail",
			"ValidateAsEmail" => "Are you sure that '\$value' is an e-mail address?"
		)),
		"gender"=> new CGroup(array(
			"label"	=> "Gender",
			"options" => "male|female"
		)),
	));
	$form->addSubmitCancel("Submit", "Cancel");
?>
<html>
<head>
<style>
<!--
body {
background-color: #CCCCCC;
}
-->
</style>
</head>
<body>
<h1>CForm</h1>
<?php $form->render() ?>
<?php
	if ($submit) {
		if (!$form->validateValues()) {
			echo "<p>Error: ".join("<BR>",$form->errors)."</p>";
		}
		else {
			echo "<p>Submitted<ul><li>Name: $user<li>E-mail: $email</ul></p>";
		}
	}
?>
</body>
</html>