# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: localhost Database : phptbox

DROP DATABASE IF EXISTS phptbox;
CREATE DATABASE phptbox;
USE phptbox;

# --------------------------------------------------------
#
# Table structure for table 'address'
#

DROP TABLE IF EXISTS address;
CREATE TABLE address (
   uid int(10) unsigned NOT NULL auto_increment,
   user_uid int(10) unsigned DEFAULT '0' NOT NULL,
   country_uid tinyint(4),
   address varchar(250) DEFAULT 'city' NOT NULL,
   PRIMARY KEY (uid),
   KEY table1_uid (user_uid)
);

#
# Dumping data for table 'address'
#

INSERT INTO address VALUES ( '1', '1', '3', 'Moscow');

# --------------------------------------------------------
#
# Table structure for table 'country'
#

DROP TABLE IF EXISTS country;
CREATE TABLE country (
   uid tinyint(4) NOT NULL auto_increment,
   name varchar(30) NOT NULL,
   icon varchar(128),
   PRIMARY KEY (uid),
   UNIQUE name (name)
);

#
# Dumping data for table 'country'
#

INSERT INTO country VALUES ( '1', 'France', '/php/tbox/sample/upload/phpM5IJHR.gif');
INSERT INTO country VALUES ( '2', 'Germany', '/php/tbox/sample/upload/phpzSk9xq.gif');
INSERT INTO country VALUES ( '3', 'Russia', '/php/tbox/sample/upload/phpXKdGw9.gif');
INSERT INTO country VALUES ( '4', 'United States', '/php/tbox/sample/upload/phpZAMFiu.gif');

# --------------------------------------------------------
#
# Table structure for table 'user'
#

DROP TABLE IF EXISTS user;
CREATE TABLE user (
   uid int(10) unsigned NOT NULL auto_increment,
   name varchar(30) NOT NULL,
   notes varchar(250),
   PRIMARY KEY (uid),
   UNIQUE name (name)
);

#
# Dumping data for table 'user'
#

INSERT INTO user VALUES ( '1', 'admin', 'Test user');

# DO NOT DELETE #