<?php
	/****************************************************\
		PHP4/X SAMPLE ADMIN INTERFACE.
		A4, (C) 2001.
		@author: Alexey Ilyin [ai@a4web.com]
	\****************************************************/

	function initialize (&$TABLE, &$PGLINKS) {
		if (!show_tables_like(PROJECT_TABLES_LIKE, $tables)) {
			//<< changed: AI 28.05.2001 12:52 >>//
			include ("header.phps");
			echo "<body>",
				sprintf(USE_ADVANCED, NO_PROJECT_TABLES, PROJECT_ROOT."/admin/advanced/"),
				"</body>";
			include ("footer.phps");
			exit;
			//<< end >>//
		}
		natcasesort ($tables);
		global $PREDEFINED_TABLES, $TNAME;
		foreach ($tables as $tname) {
			$PGLINKS .= pglink($tname, $PREDEFINED_TABLES[$tname]["label"]);
		}
		if ($TNAME) {
			$TABLE = $PREDEFINED_TABLES[$TNAME];
			if (!$TABLE) $TABLE = array(
				"label"	=> $TNAME,
				"dry"	=> "default"
			);
		}
	}

	function pglink ($tname, $name="", $sep="|", $class="links") {
		global $PHP_SELF;
		return "<a class=$class href='$PHP_SELF?TNAME=$tname'>&nbsp;"
			.($name ? $name : str_replace("_"," ",$tname))."&nbsp;</a>$sep\n";
	}

	function pgheader ($prefix, $label, $infix=" &raquo; ") {
		return concat_nonempty(array($prefix,$label),$infix);
	}

	function get_default ($fname, $def="") {
		global $PREDEFINED_TABLES, $TNAME;
		return defValue($PREDEFINED_TABLES[$TNAME][$fname], $def);
	}

	function showFormErrors (&$form) {
		if ($form->errors) {
			echo "<ul><li>", join("<li>", $form->errors), "</ul>";
		}
	}
?>