<?php
	/*'************************************************\
		PHP/Toolbox::TestSuite
		Test CCalendar
	\**************************************************/
	include ("ccalendar.phps");
	$calendar = new CCalendar();
	$today = getdate();
	$links = array (
		array (
			"year"	=> $today["year"],	// event year
			"mon"	=> $today["mon"],	// event month
			"mday"	=> $today["mday"]-1,// event day in the month
			"href"	=> "?when=yesterday",	// the link
			"text"	=> "Yesterday<br>(<DATE>)"			// the link text
		),
		array (
			"year"	=> $today["year"],	// event year
			"mon"	=> $today["mon"],	// event month
			"mday"	=> $today["mday"],// event day in the month
			"href"	=> "?when=today",	// the link
			"text"	=> "Today<br>(<DATE>)"			// the link text
		),
		array (
			"year"	=> $today["year"],	// event year
			"mon"	=> $today["mon"],	// event month
			"mday"	=> $today["mday"],// event day in the month
			"href"	=> "?when=always!",	// the link
			"text"	=> "Use<br>CCalendar!"			// the link text
		),
		array (
			"year"	=> $today["year"],	// event year
			"mon"	=> $today["mon"],	// event month
			"mday"	=> $today["mday"]+1,// event day in the month
			"href"	=> "?when=tomorrow",	// the link
			"text"	=> "Tomorrow<br>(<DATE>)"			// the link text
		)
	);
?>
<html>
<head>
<style>
<!--
body {
background-color: #CCCCCC;
}
.calendar {
text-align: center;
vertical-align: top;
color: #666666;
}
.calmonth {
font-size: 100%;
font-style: normal;
background-color: #999999;
color: #FFFFFF;
text-align: right;
}
.calweek {
font-size: 85%;
text-align: center;
background-color: #606090;
color: #CCCC99;
}
.calempty {
background-color: #EEEEEE;
}
.calday {
background-color: #FFFFFF;
font-size: 85%;
text-align: center;
color: #333366;
width: 15%;
height: 15%;
}
.caltoday {
background-color: #CCCCFF;
font-size: 85%;
font-weight: bolder;
text-align: center;
color: #000033;
}
.caltext {
font-size: 70%;
}
.calhref {
color: #000033;
}
.calhref:link {
font-weight: bolder;
color: #660000;
}
.calhref:visited {
color: #663366;
}
-->
</style>
</head>
<body>
<h1>CCalendar</h1>
<table width="600" height="400" border="0" cellspacing="0" cellpadding="0" bgcolor="#CCCCCC"><tr><td>
<table width="100%" height="100%" border="0" cellspacing="1" cellpadding="1">
<?php $calendar->render(0, $links) ?>
</table>
</td></tr></table>
<?php echo "Use CCalendar $when" ?>
<p>See the source code of this page to learn CSS styles settings.
</body>
</html>